Subject: RE: dlopen patch [was Re: dlopen]
From: [email-masked] (Mumit Khan)

16 Nov 1998 09:26:28 -0800
Message-ID: <[email-masked]>
References: <000001be0d4d$16835060$020039c1@young>
Mime-Version: 1.0
Content-Type: MULTIPART/MIXED; BOUNDARY="1915750185-371683537-911200563=:24494"
To: Christian Jullien <[email-masked]>
Cc: "Gary V. Vaughan" <[email-masked]>,
        Geoffrey Noer <[email-masked]>,
        Jorrit Tyberghein <[email-masked]>,
        [email-masked]

  This message is in MIME format.  The first part should be readable text,
  while the remaining parts are likely unreadable without MIME-aware tools.
  Send mail to [email-masked] for more info.

--1915750185-371683537-911200563=:24494
Content-Type: TEXT/PLAIN; charset=US-ASCII

"Christian Jullien" <[email-masked]> writes:
> 
> But it does not work since all symbols MUST be exported (am I right ?). In
> my special case I can't export all symbols,
> I've also a lot (>= 50000) generated assembler lines.

That's correct. Of course, the solution is simple since all you need to 
do is to link with an export file (dlltool can create that easily), and 
with Gary's patch you can dlopen/dlsym the function quite easily.

> If you have a better solution I will be happy to test it (and/or to improve
> it).

I'm attaching a trivial example (to run this, you have to have Gary's
patch or wait for b20.1). Please let me know if this doesn't work for
your application.

btw, a good example for this is in Perl's configuration, where perl is
built as an exportable executable. You can also use dllwrap (with a
few extra semi-documented flags), but it's just as easy doing it using
the simple Makefile included in my example.

Regards,
Mumit

--1915750185-371683537-911200563=:24494
Content-Type: APPLICATION/octet-stream; name="exp-exe.tar.gz"
Content-Transfer-Encoding: BASE64
Content-ID: <[email-masked]>
Content-Description: exportable executable example

--1915750185-371683537-911200563=:24494--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".